/*
 *  Draco Econometrics
 *  Copyright (C) 2008-2009 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.fit.statistics;

import com.approximatrix.draco.fit.LSFit;

public abstract class ExtendedStatistic {

	private static final String NAME = "Statistic";
	
	protected Number value = null;
	protected LSFit analysis = null;
	
	public ExtendedStatistic() {
		
	}
	
	public ExtendedStatistic(LSFit analysis) {
		this();
		this.analysis = analysis;
	}
	
	public void setAnalysis(LSFit analysis) {
		this.analysis = analysis;
	}
	
	public static String GetName() {
		return NAME;
	}
	
	public abstract String getName();
	
	public abstract Number getValue();
	
	public abstract void compute();
	
}
